Gtk_Label(3)

NAME - Gtk_Label
Text string widget.

HEADER REQUIRED
#include <gtk--/label.h&gt;>

BASE CLASSES
Gtk_Misc(3)

DERIVED BY
Gtk_AccelLabel(3) Gtk_TipsQuery(3)

DESCRIPTION
A simple setable widget for holding a string.

PROPERTIES

label
    Type: string
    Get: get(),get_text()
    Set: set(),set_text()

     Labels text.

label_wc
    Type: GdkWChar*

     Label in wide characters. (not tested)

pattern
    Type: string

words
    Type: GtkLabelWord*

max_width
    Type: guint:16

jtype
    Type: guint:2
    Set: set_justify()

     Specifies how label will behave with more than one line in it. If you're looking for changing label alignment, check Gtk_Misc::set_alignment().

    Possible values: {num GTK_JUSTIFY_LEFT, GTK_JUSTIFY_RIGHT, GTK_JUSTIFY_CENTER, GTK_JUSTIFY_FILL}

wrap
    Type: gboolean

     .IP

PUBLIC MEMBER INDEX
    Gtk_Label(const _gtk_string &label = 0);
    Gtk_Label(GtkLabel *castitem);
    void  set(const string &str);
      Set the label text to match {
    void  set_text(const string &str);
      Alias for {set()}
    string  get() const;
      Return the current label text.
    string  get_text() const;
      Return the current label text.
    void  set_justify(GtkJustification jtype);
      Sets the justification for multiple lines.
    void  set_pattern(const _gtk_string &pattern);
      (Gtk 1.1)
    guint  parse_uline(const string &str);
      (Gtk 1.1)
    void  set_line_wrap(bool wrap);
      (Gtk 1.1)
    GtkLabel*  gtkobj();
    const GtkLabel*  gtkobj() const;
    static bool  isGtkLabel(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkLabel  BaseObjectType;
    typedef GtkLabelClass  BaseClassType;
    virtual void * get_parent_class();

PRIVATE MEMBER INDEX
    static CppClassType  label_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

void  Gtk_Label::set (const string &str);
    Set the label text to match str..
    Text can not be NULL.

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS